[+] Nie mog

Problemy dotyczące innych systemów operacyjnych
Henk100
Posty: 40
Rejestracja: 17 września 2010, 08:44

[+] Nie mogę zainstalować wine 1.3.22 - Linux Mint

Post autor: Henk100 » 20 sierpnia 2011, 07:46

Mam system Linux Mint-Debian i mam pytanie jak zainstalować wine 1.3.22 w tym systemie? W repozytorium jest stara wersja, a chciałbym tą nową. Pobrałem plik wine-unstable_1.3.22.orig.tar.bz2, rozpakowałem, wchodzę do katalogu wine-1.3.22, wpisuję polecenie:

Kod: Zaznacz cały

sudo ./configure
Potem:

Kod: Zaznacz cały

sudo make
i otrzymuję komunikat:

Kod: Zaznacz cały

make: *** Nie podano obiektów i nie znaleziono makefile. Stop
Co robię nie tak?

Awatar użytkownika
parrotlarch
Beginner
Posty: 393
Rejestracja: 12 kwietnia 2007, 07:31
Lokalizacja: Olsztyn

Post autor: parrotlarch » 20 sierpnia 2011, 08:42

Masz za niski numerek wine, czy naprawdę potrzebujesz nowszej wersji? Jak po prostu nowszej to nie kombinuj i zainstaluj z sida, a jak koniecznie chcesz kompilować, to poczytaj o checkinstall. Burdlu nie trudno narobić.

Awatar użytkownika
saturno
Junior Member
Posty: 694
Rejestracja: 08 lipca 2008, 20:04

Post autor: saturno » 20 sierpnia 2011, 10:37

./configure i make nie robi się z konta root.
Do kompilacji użyj "normalnego" wine:

Kod: Zaznacz cały

wget -c http://prdownloads.sourceforge.net/wine/wine-1.3.xx.tar.bz2
Zamiast xx podstaw numer wersji wine.

kwik001
Posty: 10
Rejestracja: 02 kwietnia 2010, 10:56

Post autor: kwik001 » 20 sierpnia 2011, 11:11

Dla leniwych, nie chcących kompilować http://dev.carbon-project.org/debian/wine-unstable/ (ten link zresztą podany jest na stronie wine dla systemu Debian).

Henk100
Posty: 40
Rejestracja: 17 września 2010, 08:44

Post autor: Henk100 » 20 sierpnia 2011, 17:05

Niestety, chyba za małą mam wiedzę, żeby zainstalować wine na LMDE. Dziękuję za Wasze starania!

kwik001
Posty: 10
Rejestracja: 02 kwietnia 2010, 10:56

Post autor: kwik001 » 20 sierpnia 2011, 17:16

Dlatego podałem odnośnik do skompilowanych wersji. Zrób tak:
  1. Ściągasz ze strony: http://dev.carbon-project.org/debian/wine-unstable/ wszystkie paczki dla odpowiedniej architektury (np. dla amd64).
  2. Uruchamiasz terminal i wydajesz polecenie: aby mieć prawa roota (chyba, że masz Debiana z ustawieniami sudo to wtedy następne polecenia poprzedzasz sudo).
  3. Wchodzisz do katalogu gdzie masz pobrane paczki, np.:

    Kod: Zaznacz cały

    cd /home/janek/Pobrane/wine/
  4. Wydajesz polecenie:

    Kod: Zaznacz cały

    dpkg -i *.deb
    dla sudo:

    Kod: Zaznacz cały

    sudo dpkg -i *.deb
  5. Jeśli dostałeś komunikaty z zależnościami wydajesz polecenie:

    Kod: Zaznacz cały

    apt-get -f install
No chyba, że wolisz się poddać.

Henk100
Posty: 40
Rejestracja: 17 września 2010, 08:44

Post autor: Henk100 » 20 sierpnia 2011, 23:00

Wieczorem jeszcze spróbuję. Dziękuję za pomoc kwik001.

Dodane:
Dziękuję Ci kwik001. Wszystko pięknie działa!

Awatar użytkownika
Yampress
Administrator
Posty: 6226
Rejestracja: 09 sierpnia 2007, 21:41
Lokalizacja: PL

Post autor: Yampress » 22 sierpnia 2011, 10:51

Wine do skompilowania potrzebuje trochę zależności:
http://ftp.de.debian.org/debian/pool/ma ... .1-3.3.dsc
Przejrzyj według odnośnika pole Build-Depends: to jest na przykładzie Sida. Bez tych zależności zainstalowanych w systemie, nie skompilujesz wine.

Henk100
Posty: 40
Rejestracja: 17 września 2010, 08:44

Post autor: Henk100 » 15 grudnia 2011, 16:14

Nie wiem dlaczego, ale gdy chcę wgrać wine 1.3.34 na LMDE, to wyskakuje mi taki komunikat:

Kod: Zaznacz cały

dpkg: błąd przetwarzania wine.deb (--install):
 brak dostępu do archiwum: Nie ma takiego pliku ani katalogu
Wystąpiły błędy podczas przetwarzania:
 wine.deb
Poradźcie coś!

Awatar użytkownika
saturno
Junior Member
Posty: 694
Rejestracja: 08 lipca 2008, 20:04

Post autor: saturno » 16 grudnia 2011, 23:06

Co kilka wersji wine będziesz ponawiał problem?

Weź się trochę zmobilizuj i naucz się sam kompilować wine, bo wbrew pozorom nie jest to trudne:
http://debian.linux.pl/threads/25396-In ... ie-Squeeze

ODPOWIEDZ